Bug 985064 - perl(HTML::Form) >= 1.00 is needed by perl-WWW-Mechanize-1.72-1.fc17.noarch
perl(HTML::Form) >= 1.00 is needed by perl-WWW-Mechanize-1.72-1.fc17.noarch
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: perl-WWW-Mechanize (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 13:17 EDT by Vallee
Modified: 2013-07-26 04:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-26 04:45:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vallee 2013-07-16 13:17:31 EDT
Description of problem:
After upgrading from Fedora 15 to Fedora 17, update blocks with this message :
perl(HTML::Form) >= 1.00 is needed by perl-WWW-Mechanize-1.72-1.fc17.noarch

Version-Release number of selected component (if applicable):


How reproducible:
Always !

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Emmanuel Seyman 2013-07-17 01:33:39 EDT
Humm...

I'm not sure how this is happening. F17 should contain perl-HTML-Form-6.00-6.fc17 which provides perl(HTML::Form) = 6.00 and I can't understand why yum can't find it.

Vallee, what does "yum search perl-HTML-Form" (as root, without the quotes) output ?
Comment 2 Vallee 2013-07-17 08:44:47 EDT
(In reply to Emmanuel Seyman from comment #1)
> Humm...
> 
> I'm not sure how this is happening. F17 should contain
> perl-HTML-Form-6.00-6.fc17 which provides perl(HTML::Form) = 6.00 and I
> can't understand why yum can't find it.
> 
> Vallee, what does "yum search perl-HTML-Form" (as root, without the quotes)
> output ?

I found a work around. I "manually" installed perl-HTML-Form, but not with yum. I used the gnome package manager (is it any different anyway ? I mean is the gnome package manager just a yum GUI ?)

Also, I had two bugs when I tried updating after upgrading from F15 to F17. But the other was already reported :
https://bugzilla.redhat.com/show_bug.cgi?id=831841

Anyway, below is my output of "yum search perl-HTML-Form" after I solved the problem.

Thanks
 
[root@amir philippe]# yum search perl-HTML-Form
Modules complémentaires chargés : langpacks, presto, refresh-packagekit
Dropbox                                                  |  951 B     00:00     
google-chrome                                            |  951 B     00:00     
google-talkplugin                                        |  951 B     00:00     
livna                                                    | 1.3 kB     00:00     
rpmfusion-free-updates                                   | 3.3 kB     00:00     
rpmfusion-nonfree-updates                                | 3.3 kB     00:00     
russianfedora-free                                       | 3.6 kB     00:00     
russianfedora-free-updates                               | 3.6 kB     00:00     
updates/17/x86_64/metalink                               |  16 kB     00:00     
updates                                                  | 4.6 kB     00:00     
updates/primary_db                                         | 8.4 MB   00:16     
google-chrome/primary                                      | 1.9 kB   00:00     
google-chrome                                                               3/3
updates/pkgtags                                          | 313 kB     00:00     
================= Non spécifié, correspond à : perl-HTML-Form ==================
perl-HTML-FormFu-Model-DBIC-tests.noarch : Test suite for package
                                         : perl-HTML-FormFu-Model-DBIC
perl-HTML-Form.noarch : Class that represents an HTML form element
perl-HTML-FormFu.noarch : HTML Form Creation, Rendering and Validation Framework
perl-HTML-FormFu-Model-DBIC.noarch : Integrate HTML::FormFu with DBIx::Class
perl-HTML-FormHandler.noarch : HTML forms using Moose
perl-HTML-Format.noarch : HTML formatter modules
perl-HTML-FormatText-WithLinks.noarch : HTML to text conversion with links as
                                      : footnotes
perl-HTML-FormatText-WithLinks-AndTables.noarch : Converts HTML to Text with
                                                : tables in tact

  Correspondance dans les noms et résumés uniquement, utilisez « search all » pour une recherche complète.
Comment 3 Emmanuel Seyman 2013-07-26 04:45:36 EDT
(In reply to Vallee from comment #2)
>
> I found a work around. I "manually" installed perl-HTML-Form, but not with
> yum. I used the gnome package manager (is it any different anyway ? I mean
> is the gnome package manager just a yum GUI ?)

Yes, it uses yum as a backend.
Given that perl(HTML::Form) >= 1.00 has been provided by perl-HTML-Form since F15, I'm going to chalk this one down to a temporary hiccup in yum.

If more information comes up, please add a comment to this bug.

Note You need to log in before you can comment on or make changes to this bug.